# Rubellos Glücksspiel

A fun, browser-based scratch card gambling game built with React and TypeScript.

## Play Online

Try it here:
[https://hannover.ccc.de/~lubiana/rubbel/](https://hannover.ccc.de/~lubiana/rubbel/)

## Features

- **Scratch Card Gameplay:** Buy and scratch virtual cards to win money and
  Gubble Points.
- **Tier System:** Unlock and play higher-value scratch cards as you progress.
- **Upgrades:** Spend Gubble Points in the Gubble Store to unlock powerful
  upgrades (e.g., more winning numbers, auto-scratcher, bonus multipliers).
- **Play History:** Track your recent wins and card results.
- **Rescue Mechanic:** If you run out of money, the “cosmic Gubble spirits” may
  give you a second chance!
- **Modern UI:** Clean, responsive interface with smooth animations.

## Getting Started

1. Clone the repo and install dependencies:
   ```bash
   pnpm install
   ```
2. Start the development server:
   ```bash
   pnpm dev
   ```
3. Open your browser to `http://localhost:5173` (or as indicated in your
   terminal).

## License

MIT
